Index: plugins/importExport/inc/class.dc.export.flat.php
===================================================================
--- plugins/importExport/inc/class.dc.export.flat.php	(revision 0)
+++ plugins/importExport/inc/class.dc.export.flat.php	(revision 82)
@@ -156,5 +156,5 @@
 		'<p>'.sprintf(__('This will create an export of your current blog: %s'),
 		'<strong>'.html::escapeHTML($this->core->blog->name).'</strong>').'</p>'.
-		'<p><label class="classic">'.__('File name:').' '.
+		'<p><label for="file_name" class="classic">'.__('File name:').' '.
 		form::field(array('file_name'),25,255,date('Y-m-d-').html::escapeHTML($this->core->blog->id.'-backup.txt')).
 		'</label> '.
@@ -171,6 +171,6 @@
 			'<form action="'.$this->getURL(true).'" method="post">'.
 			'<fieldset><legend>'.__('Export all content').'</legend>'.
-			'<p><label class="classic">'.__('File name:').' '.
-			form::field(array('file_name'),25,255,date('Y-m-d-').'dotclear-backup.txt').
+			'<p><label for="file_name2" class="classic">'.__('File name:').' '.
+			form::field(array('file_name','file_name2'),25,255,date('Y-m-d-').'dotclear-backup.txt').
 			'</label> '.
 			'<input type="submit" value="'.__('Export all content').'" />'.
Index: plugins/importExport/inc/class.dc.import.dc1.php
===================================================================
--- plugins/importExport/inc/class.dc.import.dc1.php	(revision 0)
+++ plugins/importExport/inc/class.dc.import.dc1.php	(revision 82)
@@ -151,16 +151,16 @@
 				printf($this->imForm(1,__('General information'),__('Import my blog now')),
 				'<h3>'.__('We first need some information about your old Dotclear 1.2 installation.').'</h3>'.
-				'<p><label>'.__('Database Host Name:').' '.
+				'<p><label for="db_host">'.__('Database Host Name:').' '.
 				form::field('db_host',30,255,html::escapeHTML($this->vars['db_host'])).'</label></p>'.
-				'<p><label>'.__('Database Name:',html::escapeHTML($this->vars['db_name'])).' '.
+				'<p><label for="db_name">'.__('Database Name:',html::escapeHTML($this->vars['db_name'])).' '.
 				form::field('db_name',30,255,html::escapeHTML($this->vars['db_name'])).'</label></p>'.
-				'<p><label>'.__('Database User Name:').' '.
+				'<p><label for="db_user">'.__('Database User Name:').' '.
 				form::field('db_user',30,255,html::escapeHTML($this->vars['db_user'])).'</label></p>'.
-				'<p><label>'.__('Database Password:').' '.
+				'<p><label for="db_pwd">'.__('Database Password:').' '.
 				form::password('db_pwd',30,255).'</label></p>'.
-				'<p><label>'.__('Database Tables Prefix:').' '.
+				'<p><label for="db_prefix">'.__('Database Tables Prefix:').' '.
 				form::field('db_prefix',30,255,html::escapeHTML($this->vars['db_prefix'])).'</label></p>'.
 				'<h3>'.__('Entries import options').'</h3>'.
-				'<p><label>'.__('Number of entries to import at once:').' '.
+				'<p><label for="post_limit">'.__('Number of entries to import at once:').' '.
 				form::field('post_limit',3,3,html::escapeHTML($this->vars['post_limit'])).'</label></p>'
 				);
Index: plugins/importExport/inc/class.dc.import.feed.php
===================================================================
--- plugins/importExport/inc/class.dc.import.feed.php	(revision 0)
+++ plugins/importExport/inc/class.dc.import.feed.php	(revision 82)
@@ -89,5 +89,5 @@
 		$this->core->formNonce().
 		form::hidden(array('do'),1).
-		'<p><label>'.__('Feed URL:').' '.
+		'<p><label for="feed_url">'.__('Feed URL:').' '.
 		form::field('feed_url',40,300,html::escapeHTML($this->feed_url)).'</label></p>'.
 		'<p><input type="submit" value="'.__('Send').'" /></p>'.
Index: plugins/importExport/inc/class.dc.import.flat.php
===================================================================
--- plugins/importExport/inc/class.dc.import.flat.php	(revision 0)
+++ plugins/importExport/inc/class.dc.import.flat.php	(revision 82)
@@ -164,5 +164,5 @@
 		form::hidden(array('do'),1).
 		form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
-		'<p><label>'.__('Upload a backup file').' '.
+		'<p><label for="up_single_file">'.__('Upload a backup file').' '.
 		'<input type="file" id="up_single_file" name="up_single_file" size="20" />'.
 		'</label></p>';
@@ -173,5 +173,5 @@
 		$public_files = array_merge(array('-' => ''),$public_files);
 		echo
-		'<p><label>'.__('or pick up a local file in your public directory').' '.
+		'<p><label for="public_single_file">'.__('or pick up a local file in your public directory').' '.
 		form::combo('public_single_file',$public_files, '', '', '', $empty).
 		'</label></p>';
@@ -193,10 +193,10 @@
 			form::hidden(array('do'),1).
 			form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
-			'<p><label>'.__('Upload a backup file').' '.
+			'<p><label for="up_full_file">'.__('Upload a backup file').' '.
 			'<input type="file" id="up_full_file" name="up_full_file" size="20" />'.
 			'</label></p>';
 			
 			echo
-			'<p><label>'.__('or pick up a local file in your public directory').' '.
+			'<p><label for="public_full_file">'.__('or pick up a local file in your public directory').' '.
 			form::combo('public_full_file',$public_files, '', '', '', $empty).
 			'</label></p>';
@@ -205,5 +205,5 @@
 			'<p><strong>'.__('Warning: This will reset all the content of your database, except users.').'</strong></p>'.
 			
-			'<p><label>'.__('Your password:').
+			'<p><label for="your_pwd">'.__('Your password:').
 			form::password('your_pwd',20,255).'</label></p>'.
 			
Index: plugins/importExport/inc/class.dc.import.wp.php
===================================================================
--- plugins/importExport/inc/class.dc.import.wp.php	(revision 0)
+++ plugins/importExport/inc/class.dc.import.wp.php	(revision 82)
@@ -182,13 +182,13 @@
 				printf($this->imForm(1,__('General information'),__('Import my blog now')),
 				'<h3>'.__('We first need some information about your old WordPress installation.').'</h3>'.
-				'<p><label>'.__('Database Host Name:').' '.
+				'<p><label for="db_host">'.__('Database Host Name:').' '.
 				form::field('db_host',30,255,html::escapeHTML($this->vars['db_host'])).'</label></p>'.
-				'<p><label>'.__('Database Name:',html::escapeHTML($this->vars['db_name'])).' '.
+				'<p><label for="db_name">'.__('Database Name:',html::escapeHTML($this->vars['db_name'])).' '.
 				form::field('db_name',30,255,html::escapeHTML($this->vars['db_name'])).'</label></p>'.
-				'<p><label>'.__('Database User Name:').' '.
+				'<p><label for="db_user">'.__('Database User Name:').' '.
 				form::field('db_user',30,255,html::escapeHTML($this->vars['db_user'])).'</label></p>'.
-				'<p><label>'.__('Database Password:').' '.
+				'<p><label for="db_pwd">'.__('Database Password:').' '.
 				form::password('db_pwd',30,255).'</label></p>'.
-				'<p><label>'.__('Database Tables Prefix:').' '.
+				'<p><label for="db_prefix">'.__('Database Tables Prefix:').' '.
 				form::field('db_prefix',30,255,html::escapeHTML($this->vars['db_prefix'])).'</label></p>'.
 				'<h3>'.__('Entries import options').'</h3>'.
@@ -202,19 +202,19 @@
 				'category, you can just ignore it while importing your blog, as Dotclear allows you to '.
 				'actually keep your posts uncategorized.').'</p>'.
-				'<p><label class="classic">'.form::checkbox('ignore_first_cat',1,$this->vars['ignore_first_cat']).' '.
+				'<p><label for="ignore_first_cat" class="classic">'.form::checkbox('ignore_first_cat',1,$this->vars['ignore_first_cat']).' '.
 				__('Ignore the first category:').'</label></p>'.
-				'<p><label class="classic">'.form::checkbox('cat_import',1,$this->vars['cat_import']).' '.
+				'<p><label for="cat_import" class="classic">'.form::checkbox('cat_import',1,$this->vars['cat_import']).' '.
 				__('Import lowest numbered category on posts:').'</label></p>'.
-				'<p><label class="classic">'.form::checkbox('cat_as_tags',1,$this->vars['cat_as_tags']).' '.
+				'<p><label for="cat_as_tags" class="classic">'.form::checkbox('cat_as_tags',1,$this->vars['cat_as_tags']).' '.
 				__('Import all categories as tags:').'</label></p>'.
-				'<p><label>'.__('Prefix such tags with:').' '.
+				'<p><label for="cat_tags_prefix">'.__('Prefix such tags with:').' '.
 				form::field('cat_tags_prefix',10,20,html::escapeHTML($this->vars['cat_tags_prefix'])).'</label></p>'.
-				'<p><label>'.__('Number of entries to import at once:').' '.
+				'<p><label for="post_limit">'.__('Number of entries to import at once:').' '.
 				form::field('post_limit',3,3,html::escapeHTML($this->vars['post_limit'])).'</label></p>'.
 				
 				'<h3>'.__('Content filters').'</h3>'.
 				'<p>'.__('You may want to process your post and/or comment content with the following filters.').'</p>'.
-				'<p><label>'.__('Post content formatter:').' '.form::combo('post_formater',$this->formaters,$this->vars['post_formater']).'</label></p>'.
-				'<p><label>'.__('Comment content formatter:').' '.form::combo('comment_formater',$this->formaters,$this->vars['comment_formater']).'</label></p>'
+				'<p><label for="post_formater">'.__('Post content formatter:').' '.form::combo('post_formater',$this->formaters,$this->vars['post_formater']).'</label></p>'.
+				'<p><label for="comment_formater">'.__('Comment content formatter:').' '.form::combo('comment_formater',$this->formaters,$this->vars['comment_formater']).'</label></p>'
 				);
 				break;
